/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
/*
 * $Id: Toyota.java 51063 2006-08-11 19:56:36Z adf $
 */

package com.sun.ts.tests.jaxws.wsa.j2w.document.literal.typesubstitution;

public class Toyota extends Car {

    private String color;
    private final String make="Toyota";

    public Toyota() {
        setMake("Toyota");
    }

    public String getMake() {
        return make;
    }

    public Toyota(String model, String year, String color) {
        setModel(model);
        setYear(year);
        this.color = color;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public String toString(){
        return getMake()+":"+getModel()+":"+getYear()+":"+color;
    }

}
